from lib.all import *
from datetime import datetime


# 流水同比

class S:
    def __init__(self):
        self.mysql_db_vas = Mysql(
            "rm-bp11t1616a1kjvmx5.mysql.rds.aliyuncs.com", 3306, "vas", "root", "Wishpal2024"
        )
        self.mysql_db_bi = Mysql(
            "127.0.0.1", 3306, "metabase_bi", "metabase_bi", "Wishpal_2024"
        )

    def __del__(self):
        self.mysql_db_vas.close()
        self.mysql_db_bi.close()

    def get_last_ptime(self):
        sql = '''select * from vas_yoy_flow order by ptime desc limit 1'''
        rows = self.mysql_db_bi.query(sql)
        if len(rows) > 0:
            dt = rows[0].get("ptime")
            return dt.timestamp()
        return 0

    def get_flow(self, st, et):
        sql = '''select sum(pay_amount) flow from vas_order where ct>={} and ct<{}'''.format(st, et)
        rows = self.mysql_db_vas.query(sql)
        if len(rows) > 0:
            return safe_get_int(rows[0], "flow")
        return 0

    def proc(self):
        zero_time = get_today_zero_time() - 86400
        last_ptime = self.get_last_ptime()
        if last_ptime == 0:
            return

        print(zero_time)
        print(last_ptime, type(last_ptime))


s = S()
s.proc()
